﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;

public partial class Default15 : System.Web.UI.Page
{
    protected void Page_Init(object sender, EventArgs e)
    {
        XmlSchedulerProvider provider = new XmlSchedulerProvider(Server.MapPath("~/App_Data/Appointments.xml"), true);
        RadScheduler1.Provider = provider;

    }
    protected void Page_Load(object sender, EventArgs e)
    {

    }
    protected void RadScheduler1_TimeSlotContextMenuItemClicking(object sender, TimeSlotContextMenuItemClickingEventArgs e)
    {
        if(Session["appointment"] != null)
        {
            Appointment a = Session["appointment"] as Appointment;

            RadScheduler1.DeleteAppointment(a, true);

            TimeSpan appDuration = a.Duration;
            a.Start = e.TimeSlot.Start;
            a.End = e.TimeSlot.Start.Add(appDuration);

            RadScheduler1.InsertAppointment(a);
            
            

            RadScheduler1.Rebind();
        }
        
    }
    protected void RadScheduler1_AppointmentContextMenuItemClicking(object sender, AppointmentContextMenuItemClickingEventArgs e)
    {
        Session["appointment"] = e.Appointment;
    }
}
